Skip to main content
PATCH
/
api
/
queues
/
{id}
PATCH /api/queues/{id}
curl --request PATCH \
  --url https://api.sippet.ai/api/queues/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "id": "<string>",
    "attributes": {
      "max_wait_time": 123,
      "moh_sound": "<string>",
      "strategy": "<string>"
    },
    "relationships": {},
    "type": "Queue"
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "queue_name": "<string>",
      "strategy": "<string>",
      "max_wait_time": 123,
      "moh_sound": "<string>"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"Queue": "id,queue_name,strategy,moh_sound,max_wait_time"
}

Body

application/vnd.api+json

Request body for the /queues/:id operation on Queue resource

data
object
required

Response

Success

data
object

A "Resource object" representing a Queue

included
any[]
meta
object